import { Component } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';

@Component({
  selector: 'app-confirm-dialog',
  templateUrl: './confirm-dialog.component.html',
})
export class ConfirmDialogComponent {
  message: string;

  constructor(public modalRef: BsModalRef) {}

  onAccept(): void {  
    this.modalRef.hide();   
    console.log('File replaced');
  }

  onReject(): void {
    this.modalRef.hide();
    console.log('File replacement rejected');
  }

  closeDialog(): void {   
    this.modalRef.hide();
   }
}
